summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
authorJosé Valim <jose.valim@plataformatec.com.br>2019-02-02 00:05:51 +0100
committerJosé Valim <jose.valim@plataformatec.com.br>2019-02-02 00:05:51 +0100
commit0d2f68e65f762a8f2462b179a62c1fb3712a6b86 (patch)
treed45277fa143f02cc2dcd6955a59b3f975a7e25ee /bin
parentb70e1a531940911fe2fec8202b0e6b5a08a5f18c (diff)
downloadelixir-0d2f68e65f762a8f2462b179a62c1fb3712a6b86.tar.gz
Shellcheck bin/elixirc too
Diffstat (limited to 'bin')
-rwxr-xr-xbin/elixirc4
1 files changed, 3 insertions, 1 deletions
diff --git a/bin/elixirc b/bin/elixirc
index 9bad4380b..e40c9928c 100755
--- a/bin/elixirc
+++ b/bin/elixirc
@@ -1,6 +1,8 @@
#!/bin/sh
+set -e
+
if [ $# -eq 0 ] || [ "$1" = "--help" ] || [ "$1" = "-h" ]; then
- echo "Usage: $(basename $0) [elixir switches] [compiler switches] [.ex files]
+ echo "Usage: $(basename "$0") [elixir switches] [compiler switches] [.ex files]
-h, --help Prints this message and exits
-o The directory to output compiled files